diff --git a/salt/states/virt.py b/salt/states/virt.py
index 819776d707..fdef002293 100644
--- a/salt/states/virt.py
+++ b/salt/states/virt.py
@@ -793,59 +824,71 @@ def reverted(name, snapshot=None, cleanup=False):  # pylint: disable=redefined-o
           virt.reverted:
             - snapshot: snapshot_name
             - cleanup: False
-    '''
-    ret = {'name': name, 'changes': {}, 'result': False, 'comment': ''}
+    """
+    ret = {"name": name, "changes": {}, "result": False, "comment": ""}
 
     try:
-        domains = fnmatch.filter(__salt__['virt.list_domains'](), name)
+        domains = fnmatch.filter(__salt__["virt.list_domains"](), name)
         if not domains:
-            ret['comment'] = 'No domains found for criteria "{0}"'.format(name)
+            ret["comment"] = 'No domains found for criteria "{0}"'.format(name)
         else:
             ignored_domains = list()
             if len(domains) > 1:
-                ret['changes'] = {'reverted': list()}
+                ret["changes"] = {"reverted": list()}
             for domain in domains:
                 result = {}
                 try:
-                    result = __salt__['virt.revert_snapshot'](domain, snapshot=snapshot, cleanup=cleanup)
-                    result = {'domain': domain, 'current': result['reverted'], 'deleted': result['deleted']}
+                    result = __salt__["virt.revert_snapshot"](
+                        domain, snapshot=snapshot, cleanup=cleanup
+                    )
+                    result = {
+                        "domain": domain,
+                        "current": result["reverted"],
+                        "deleted": result["deleted"],
+                    }
                 except CommandExecutionError as err:
                     if len(domains) > 1:
-                        ignored_domains.append({'domain': domain, 'issue': six.text_type(err)})
+                        ignored_domains.append(
+                            {"domain": domain, "issue": six.text_type(err)}
+                        )
                 if len(domains) > 1:
                     if result:
-                        ret['changes']['reverted'].append(result)
+                        ret["changes"]["reverted"].append(result)
                 else:
-                    ret['changes'] = result
+                    ret["changes"] = result
                     break
 
-            ret['result'] = len(domains) != len(ignored_domains)
-            if ret['result']:
-                ret['comment'] = 'Domain{0} has been reverted'.format(len(domains) > 1 and "s" or "")
+            ret["result"] = len(domains) != len(ignored_domains)
+            if ret["result"]:
+                ret["comment"] = "Domain{0} has been reverted".format(
+                    len(domains) > 1 and "s" or ""
+                )
             if ignored_domains:
-                ret['changes']['ignored'] = ignored_domains
-            if not ret['changes']['reverted']:
-                ret['changes'].pop('reverted')
+                ret["changes"]["ignored"] = ignored_domains
+            if not ret["changes"]["reverted"]:
+                ret["changes"].pop("reverted")
     except libvirt.libvirtError as err:
-        ret['comment'] = six.text_type(err)
+        ret["comment"] = six.text_type(err)
     except CommandExecutionError as err:
-        ret['comment'] = six.text_type(err)
+        ret["comment"] = six.text_type(err)
 
     return ret
 
 
-def network_defined(name,
-                    bridge,
-                    forward,
-                    vport=None,
-                    tag=None,
-                    ipv4_config=None,
-                    ipv6_config=None,
-                    autostart=True,
-                    connection=None,
-                    username=None,
-                    password=None):
-    '''
+def network_defined(
+    name,
+    bridge,
+    forward,
+    vport=None,
+    tag=None,
+    ipv4_config=None,
+    ipv6_config=None,
+    autostart=True,
+    connection=None,
+    username=None,
+    password=None,
+):
+    """
     Defines a new network with specified arguments.
 
     :param bridge: Bridge name
@@ -899,53 +942,60 @@ def network_defined(name,
                     end: 192.168.42.150
             - autostart: True
 
-    '''
-    ret = {'name': name,
-           'changes': {},
-           'result': True if not __opts__['test'] else None,
-           'comment': ''
-           }
+    """
+    ret = {
+        "name": name,
+        "changes": {},
+        "result": True if not __opts__["test"] else None,
+        "comment": "",
+    }
 
     try:
-        info = __salt__['virt.network_info'](name, connection=connection, username=username, password=password)
+        info = __salt__["virt.network_info"](
+            name, connection=connection, username=username, password=password
+        )
         if info and info[name]:
-            ret['comment'] = 'Network {0} exists'.format(name)
-            ret['result'] = True
+            ret["comment"] = "Network {0} exists".format(name)
+            ret["result"] = True
         else:
-            if not __opts__['test']:
-                __salt__['virt.network_define'](name,
-                                                bridge,
-                                                forward,
-                                                vport=vport,
-                                                tag=tag,
-                                                ipv4_config=ipv4_config,
-                                                ipv6_config=ipv6_config,
-                                                autostart=autostart,
-                                                start=False,
-                                                connection=connection,
-                                                username=username,
-                                                password=password)
-            ret['changes'][name] = 'Network defined'
-            ret['comment'] = 'Network {0} defined'.format(name)
+            if not __opts__["test"]:
+                __salt__["virt.network_define"](
+                    name,
+                    bridge,
+                    forward,
+                    vport=vport,
+                    tag=tag,
+                    ipv4_config=ipv4_config,
+                    ipv6_config=ipv6_config,
+                    autostart=autostart,
+                    start=False,
+                    connection=connection,
+                    username=username,
+                    password=password,
+                )
+            ret["changes"][name] = "Network defined"
+            ret["comment"] = "Network {0} defined".format(name)
     except libvirt.libvirtError as err:
-        ret['result'] = False
-        ret['comment'] = err.get_error_message()
+        ret["result"] = False
+        ret["comment"] = err.get_error_message()
 
     return ret
 
 
-def network_running(name,
-                    bridge,
-                    forward,
-                    vport=None,
-                    tag=None,
-                    ipv4_config=None,
-                    ipv6_config=None,
-                    autostart=True,
-                    connection=None,
-                    username=None,
-                    password=None):
-    '''
+def network_running(
+    name,
+    bridge,
+    forward,
+    vport=None,
+    tag=None,
+    ipv4_config=None,
+    ipv6_config=None,
+    autostart=True,
+    connection=None,
+    username=None,
+    password=None,
+):
+    """
     Defines and starts a new network with specified arguments.
 
     :param bridge: Bridge name
@@ -1007,57 +1057,70 @@ def network_running(name,
                     end: 192.168.42.150
             - autostart: True
 
-    '''
-    ret = network_defined(name,
-                          bridge,
-                          forward,
-                          vport=vport,
-                          tag=tag,
-                          ipv4_config=ipv4_config,
-                          ipv6_config=ipv6_config,
-                          autostart=autostart,
-                          connection=connection,
-                          username=username,
-                          password=password)
-
-    defined = name in ret['changes'] and ret['changes'][name].startswith('Network defined')
-
-    result = True if not __opts__['test'] else None
-    if ret['result'] is None or ret['result']:
+    """
+    ret = network_defined(
+        name,
+        bridge,
+        forward,
+        vport=vport,
+        tag=tag,
+        ipv4_config=ipv4_config,
+        ipv6_config=ipv6_config,
+        autostart=autostart,
+        connection=connection,
+        username=username,
+        password=password,
+    )
+
+    defined = name in ret["changes"] and ret["changes"][name].startswith(
+        "Network defined"
+    )
+
+    result = True if not __opts__["test"] else None
+    if ret["result"] is None or ret["result"]:
         try:
-            info = __salt__['virt.network_info'](name, connection=connection, username=username, password=password)
+            info = __salt__["virt.network_info"](
+                name, connection=connection, username=username, password=password
+            )
             # In the corner case where test=True and the network wasn't defined
             # we may not get the network in the info dict and that is normal.
-            if info.get(name, {}).get('active', False):
-                ret['comment'] = '{} and is running'.format(ret['comment'])
+            if info.get(name, {}).get("active", False):
+                ret["comment"] = "{} and is running".format(ret["comment"])
             else:
-                if not __opts__['test']:
-                    __salt__['virt.network_start'](name, connection=connection, username=username, password=password)
-                change = 'Network started'
-                if name in ret['changes']:
-                    change = '{} and started'.format(ret['changes'][name])
-                ret['changes'][name] = change
-                ret['comment'] = '{} and started'.format(ret['comment'])
-            ret['result'] = result
+                if not __opts__["test"]:
+                    __salt__["virt.network_start"](
+                        name,
+                        connection=connection,
+                        username=username,
+                        password=password,
+                    )
+                change = "Network started"
+                if name in ret["changes"]:
+                    change = "{} and started".format(ret["changes"][name])
+                ret["changes"][name] = change
+                ret["comment"] = "{} and started".format(ret["comment"])
+            ret["result"] = result
 
         except libvirt.libvirtError as err:
-            ret['result'] = False
-            ret['comment'] = err.get_error_message()
+            ret["result"] = False
+            ret["comment"] = err.get_error_message()
 
     return ret
 
 
-def pool_defined(name,
-                 ptype=None,
-                 target=None,
-                 permissions=None,
-                 source=None,
-                 transient=False,
-                 autostart=True,
-                 connection=None,
-                 username=None,
-                 password=None):
-    '''
+def pool_defined(
+    name,
+    ptype=None,
+    target=None,
+    permissions=None,
+    source=None,
+    transient=False,
+    autostart=True,
+    connection=None,
+    username=None,
+    password=None,
+):
+    """
     Defines a new pool with specified arguments.
 
     .. versionadded:: sodium
@@ -1097,124 +1160,150 @@ def pool_defined(name,
                 format: cifs
             - autostart: True
 
-    '''
-    ret = {'name': name,
-           'changes': {},
-           'result': True if not __opts__['test'] else None,
-           'comment': ''
-           }
+    """
+    ret = {
+        "name": name,
+        "changes": {},
+        "result": True if not __opts__["test"] else None,
+        "comment": "",
+    }
 
     try:
-        info = __salt__['virt.pool_info'](name, connection=connection, username=username, password=password)
+        info = __salt__["virt.pool_info"](
+            name, connection=connection, username=username, password=password
+        )
         needs_autostart = False
         if info:
-            needs_autostart = info[name]['autostart'] and not autostart or not info[name]['autostart'] and autostart
+            needs_autostart = (
+                info[name]["autostart"]
+                and not autostart
+                or not info[name]["autostart"]
+                and autostart
+            )
 
             # Update can happen for both running and stopped pools
-            needs_update = __salt__['virt.pool_update'](name,
-                                                        ptype=ptype,
-                                                        target=target,
-                                                        permissions=permissions,
-                                                        source_devices=(source or {}).get('devices'),
-                                                        source_dir=(source or {}).get('dir'),
-                                                        source_initiator=(source or {}).get('initiator'),
-                                                        source_adapter=(source or {}).get('adapter'),
-                                                        source_hosts=(source or {}).get('hosts'),
-                                                        source_auth=(source or {}).get('auth'),
-                                                        source_name=(source or {}).get('name'),
-                                                        source_format=(source or {}).get('format'),
-                                                        test=True,
-                                                        connection=connection,
-                                                        username=username,
-                                                        password=password)
+            needs_update = __salt__["virt.pool_update"](
+                name,
+                ptype=ptype,
+                target=target,
+                permissions=permissions,
+                source_devices=(source or {}).get("devices"),
+                source_dir=(source or {}).get("dir"),
+                source_initiator=(source or {}).get("initiator"),
+                source_adapter=(source or {}).get("adapter"),
+                source_hosts=(source or {}).get("hosts"),
+                source_auth=(source or {}).get("auth"),
+                source_name=(source or {}).get("name"),
+                source_format=(source or {}).get("format"),
+                test=True,
+                connection=connection,
+                username=username,
+                password=password,
+            )
             if needs_update:
-                if not __opts__['test']:
-                    __salt__['virt.pool_update'](name,
-                                                 ptype=ptype,
-                                                 target=target,
-                                                 permissions=permissions,
-                                                 source_devices=(source or {}).get('devices'),
-                                                 source_dir=(source or {}).get('dir'),
-                                                 source_initiator=(source or {}).get('initiator'),
-                                                 source_adapter=(source or {}).get('adapter'),
-                                                 source_hosts=(source or {}).get('hosts'),
-                                                 source_auth=(source or {}).get('auth'),
-                                                 source_name=(source or {}).get('name'),
-                                                 source_format=(source or {}).get('format'),
-                                                 connection=connection,
-                                                 username=username,
-                                                 password=password)
-
-                action = ''
-                if info[name]['state'] != 'running':
-                    if not __opts__['test']:
-                        __salt__['virt.pool_build'](name, connection=connection, username=username, password=password)
-                    action = ', built'
-
-                action = '{}, autostart flag changed'.format(action) if needs_autostart else action
-                ret['changes'][name] = 'Pool updated{0}'.format(action)
-                ret['comment'] = 'Pool {0} updated{1}'.format(name, action)
+                if not __opts__["test"]:
+                    __salt__["virt.pool_update"](
+                        name,
+                        ptype=ptype,
+                        target=target,
+                        permissions=permissions,
+                        source_devices=(source or {}).get("devices"),
+                        source_dir=(source or {}).get("dir"),
+                        source_initiator=(source or {}).get("initiator"),
+                        source_adapter=(source or {}).get("adapter"),
+                        source_hosts=(source or {}).get("hosts"),
+                        source_auth=(source or {}).get("auth"),
+                        source_name=(source or {}).get("name"),
+                        source_format=(source or {}).get("format"),
+                        connection=connection,
+                        username=username,
+                        password=password,
+                    )
+
+                action = ""
+                if info[name]["state"] != "running":
+                    if not __opts__["test"]:
+                        __salt__["virt.pool_build"](
+                            name,
+                            connection=connection,
+                            username=username,
+                            password=password,
+                        )
+                    action = ", built"
+
+                action = (
+                    "{}, autostart flag changed".format(action)
+                    if needs_autostart
+                    else action
+                )
+                ret["changes"][name] = "Pool updated{0}".format(action)
+                ret["comment"] = "Pool {0} updated{1}".format(name, action)
 
             else:
-                ret['comment'] = 'Pool {0} unchanged'.format(name)
-                ret['result'] = True
+                ret["comment"] = "Pool {0} unchanged".format(name)
+                ret["result"] = True
         else:
             needs_autostart = autostart
-            if not __opts__['test']:
-                __salt__['virt.pool_define'](name,
-                                             ptype=ptype,
-                                             target=target,
-                                             permissions=permissions,
-                                             source_devices=(source or {}).get('devices'),
-                                             source_dir=(source or {}).get('dir'),
-                                             source_initiator=(source or {}).get('initiator'),
-                                             source_adapter=(source or {}).get('adapter'),
-                                             source_hosts=(source or {}).get('hosts'),
-                                             source_auth=(source or {}).get('auth'),
-                                             source_name=(source or {}).get('name'),
-                                             source_format=(source or {}).get('format'),
-                                             transient=transient,
-                                             start=False,
-                                             connection=connection,
-                                             username=username,
-                                             password=password)
-
-                __salt__['virt.pool_build'](name,
-                                            connection=connection,
-                                            username=username,
-                                            password=password)
+            if not __opts__["test"]:
+                __salt__["virt.pool_define"](
+                    name,
+                    ptype=ptype,
+                    target=target,
+                    permissions=permissions,
+                    source_devices=(source or {}).get("devices"),
+                    source_dir=(source or {}).get("dir"),
+                    source_initiator=(source or {}).get("initiator"),
+                    source_adapter=(source or {}).get("adapter"),
+                    source_hosts=(source or {}).get("hosts"),
+                    source_auth=(source or {}).get("auth"),
+                    source_name=(source or {}).get("name"),
+                    source_format=(source or {}).get("format"),
+                    transient=transient,
+                    start=False,
+                    connection=connection,
+                    username=username,
+                    password=password,
+                )
+
+                __salt__["virt.pool_build"](
+                    name, connection=connection, username=username, password=password
+                )
             if needs_autostart:
-                ret['changes'][name] = 'Pool defined, marked for autostart'
-                ret['comment'] = 'Pool {0} defined, marked for autostart'.format(name)
+                ret["changes"][name] = "Pool defined, marked for autostart"
+                ret["comment"] = "Pool {0} defined, marked for autostart".format(name)
             else:
-                ret['changes'][name] = 'Pool defined'
-                ret['comment'] = 'Pool {0} defined'.format(name)
+                ret["changes"][name] = "Pool defined"
+                ret["comment"] = "Pool {0} defined".format(name)
 
         if needs_autostart:
-            if not __opts__['test']:
-                __salt__['virt.pool_set_autostart'](name,
-                                                    state='on' if autostart else 'off',
-                                                    connection=connection,
-                                                    username=username,
-                                                    password=password)
+            if not __opts__["test"]:
+                __salt__["virt.pool_set_autostart"](
+                    name,
+                    state="on" if autostart else "off",
+                    connection=connection,
+                    username=username,
+                    password=password,
+                )
     except libvirt.libvirtError as err:
-        ret['comment'] = err.get_error_message()
-        ret['result'] = False
+        ret["comment"] = err.get_error_message()
+        ret["result"] = False
 
     return ret
 
 
-def pool_running(name,
-                 ptype=None,
-                 target=None,
-                 permissions=None,
-                 source=None,
-                 transient=False,
-                 autostart=True,
-                 connection=None,
-                 username=None,
-                 password=None):
-    '''
+def pool_running(
+    name,
+    ptype=None,
+    target=None,
+    permissions=None,
+    source=None,
+    transient=False,
+    autostart=True,
+    connection=None,
+    username=None,
+    password=None,
+):
+    """
     Defines and starts a new pool with specified arguments.
 
     .. versionadded:: 2019.2.0
@@ -1230,8 +1319,6 @@ def pool_running(name,
         when set to ``True``, the pool will be automatically undefined after being stopped. (Default: ``False``)
     :param autostart:
         Whether to start the pool when booting the host. (Default: ``True``)
-    :param start:
-        When ``True``, define and start the pool, otherwise the pool will be left stopped.
     :param connection: libvirt connection URI, overriding defaults
     :param username: username to connect with, overriding defaults
     :param password: password to connect with, overriding defaults
@@ -1259,68 +1346,83 @@ def pool_running(name,
                 format: cifs
             - autostart: True
 
-    '''
-    ret = pool_defined(name,
-                       ptype=ptype,
-                       target=target,
-                       permissions=permissions,
-                       source=source,
-                       transient=transient,
-                       autostart=autostart,
-                       connection=connection,
-                       username=username,
-                       password=password)
-    defined = name in ret['changes'] and ret['changes'][name].startswith('Pool defined')
-    updated = name in ret['changes'] and ret['changes'][name].startswith('Pool updated')
-
-    result = True if not __opts__['test'] else None
-    if ret['result'] is None or ret['result']:
+    """
+    ret = pool_defined(
+        name,
+        ptype=ptype,
+        target=target,
+        permissions=permissions,
+        source=source,
+        transient=transient,
+        autostart=autostart,
+        connection=connection,
+        username=username,
+        password=password,
+    )
+    defined = name in ret["changes"] and ret["changes"][name].startswith("Pool defined")
+    updated = name in ret["changes"] and ret["changes"][name].startswith("Pool updated")
+
+    result = True if not __opts__["test"] else None
+    if ret["result"] is None or ret["result"]:
         try:
-            info = __salt__['virt.pool_info'](name, connection=connection, username=username, password=password)
-            action = 'started'
-            # In the corner case where test=True and the pool wasn't defined
+            info = __salt__["virt.pool_info"](
+                name, connection=connection, username=username, password=password
+            )
+            action = "started"
+            # In the corner case where test=True and the pool wasn"t defined
             # we may get not get our pool in the info dict and that is normal.
-            is_running = info.get(name, {}).get('state', 'stopped') == 'running'
+            is_running = info.get(name, {}).get("state", "stopped") == "running"
             if is_running:
                 if updated:
-                    action = 'built, restarted'
-                    if not __opts__['test']:
-                        __salt__['virt.pool_stop'](name, connection=connection, username=username, password=password)
-                    if not __opts__['test']:
-                        __salt__['virt.pool_build'](name, connection=connection, username=username, password=password)
+                    action = "built, restarted"
+                    if not __opts__["test"]:
+                        __salt__["virt.pool_stop"](
+                            name,
+                            connection=connection,
+                            username=username,
+                            password=password,
+                        )
+                    if not __opts__["test"]:
+                        __salt__["virt.pool_build"](
+                            name,
+                            connection=connection,
+                            username=username,
+                            password=password,
+                        )
                 else:
-                    action = 'already running'
+                    action = "already running"
                     result = True
 
             if not is_running or updated or defined:
-                if not __opts__['test']:
-                    __salt__['virt.pool_start'](name, connection=connection, username=username, password=password)
+                if not __opts__["test"]:
+                    __salt__["virt.pool_start"](
+                        name,
+                        connection=connection,
+                        username=username,
+                        password=password,
+                    )
 
-            comment = 'Pool {0}'.format(name)
-            change = 'Pool'
-            if name in ret['changes']:
-                comment = '{0},'.format(ret['comment'])
-                change = '{0},'.format(ret['changes'][name])
+            comment = "Pool {0}".format(name)
+            change = "Pool"
+            if name in ret["changes"]:
+                comment = "{0},".format(ret["comment"])
+                change = "{0},".format(ret["changes"][name])
 
-            if action != 'already running':
-                ret['changes'][name] = '{0} {1}'.format(change, action)
+            if action != "already running":
+                ret["changes"][name] = "{0} {1}".format(change, action)
 
-            ret['comment'] = '{0} {1}'.format(comment, action)
-            ret['result'] = result
+            ret["comment"] = "{0} {1}".format(comment, action)
+            ret["result"] = result
 
         except libvirt.libvirtError as err:
-            ret['comment'] = err.get_error_message()
-            ret['result'] = False
+            ret["comment"] = err.get_error_message()
+            ret["result"] = False
 
     return ret
 
 
-def pool_deleted(name,
-                 purge=False,
-                 connection=None,
-                 username=None,
-                 password=None):
-    '''
+def pool_deleted(name, purge=False, connection=None, username=None, password=None):
+    """
     Deletes a virtual storage pool.
 
     :param name: the name of the pool to delete.
